Skip to main content
GET
/
v1
/
status
/
sync
Organization sync status
curl --request GET \
  --url https://api.linqalpha.com/v1/status/sync \
  --header 'X-API-KEY: <api-key>'
{
  "error": null,
  "payload": {
    "organization_name": "Acme Research",
    "is_syncing": false,
    "current_job_id": null,
    "last_sync_time": "2026-04-08T03:01:01",
    "total_items": 10017,
    "synced_items": 10010,
    "failed_items": 7,
    "recent_syncs": [
      {
        "started_at": "2026-04-08T02:00:39",
        "completed_at": "2026-04-08T03:01:01",
        "status": "complete"
      },
      {
        "started_at": "2026-04-07T02:00:20",
        "completed_at": "2026-04-07T03:11:17",
        "status": "complete"
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

organization_id
string

Organization ID. Optional for single-org API keys (inferred from key).

Response

200 - application/json

Sync status overview

error
string | null
payload
object